Groovy JDK

## primitive-types
Class T

Method Summary
`T` | `each(Closure closure)` Iterates through an aggregate type or data structure, passing each item to the given closure.

Method Detail

### each

    public T each(Closure closure)

  Iterates through an aggregate type or data structure, passing each item to the given closure. Custom types may utilize this method by simply providing an "iterator()" method. The items returned from the resulting iterator will be passed to the closure.

Parameters:
  `closure` - the closure applied on each element found.

Returns:
  the self Object

Since:
  1.0

Groovy JDK